MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024191Open CASCADE[OCCT] OCCT:Foundation Classespublic2013-09-19 10:532013-12-19 13:58
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024191: Static assert functionality should be added to Standard_Assert.hxx
DescriptionIt is necessary to provide the functionality of static_assert macro from C++11 standard for OCC users.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0025657)
omy (developer)
2013-09-19 16:13

Dear abv,
Please, review the branch CR24191
(0025681)
abv (manager)
2013-09-20 17:19

Reviewed, please test (branch CR24191 is rebased on master). I have changed a bit comments and name of the assert function, and added this assert to QANCollection_4.cxx to avoid compiler warning.
(0025712)
mkv (tester)
2013-09-24 16:22

Dear BugMaster,

Branch CR24191 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 7cdb7d4447c95d8cbd6e1f8e6b355527a49d0ae6

Number of compiler warnings:

occt component :
Linux: 506 (506 on master)
Windows: 24 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366388156 / 366203112
Total CPU difference: 42949.820000000684 / 42279.78000000097

Testing on Windows:
Total MEMORY difference: 427994816 / 429036280
Total CPU difference: 37433.375 / 48289.046875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 8b381bc3
Timestamp: 2013-09-19 12:12:48
Author: omy
Committer: bugmaster
Details ] Diff ]
0024191: Static assert functionality should be added to Standard_Assert.hxx

Added Standard_STATIC_ASSERT macro for compile-time asserts.
The new macro is used in Standard_MMgrOpt and QANCollection.
mod - src/QANCollection/QANCollection4.cxx Diff ] File ]
mod - src/Standard/Standard_Assert.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-19 10:53 omy New Issue
2013-09-19 10:53 omy Assigned To => omy
2013-09-19 10:53 omy Status new => assigned
2013-09-19 16:13 omy Note Added: 0025657
2013-09-19 16:13 omy Assigned To omy => abv
2013-09-19 16:13 omy Status assigned => resolved
2013-09-20 17:19 abv Note Added: 0025681
2013-09-20 17:19 abv Assigned To abv => bugmaster
2013-09-20 17:19 abv Status resolved => reviewed
2013-09-20 17:33 mkv Assigned To bugmaster => mkv
2013-09-24 16:22 mkv Note Added: 0025712
2013-09-24 16:22 mkv Test case number => Not needed
2013-09-24 16:22 mkv Assigned To mkv => bugmaster
2013-09-24 16:22 mkv Status reviewed => tested
2013-09-30 15:53 bugmaster Changeset attached => occt master 8b381bc3
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker